Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161243 - cannot add records in jpilot, crashes
Summary: cannot add records in jpilot, crashes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: jpilot
Version: 4
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-21 17:36 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-01 06:49:20 UTC


Attachments (Terms of Use)

Description Need Real Name 2005-06-21 17:36:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I started jpilot on a clean .jpilot directory.  When I tried to add a record, I get the following messages:

  pc_read_next_rec(): Out of memory

I also get these messages in my terminal:

(jpilot:3913): Gtk-CRITICAL **: gtk_check_menu_item_set_active: assertion `GTK_IS_CHECK_MENU_ITEM (check_menu_item)' failed

Finally, when I exit it gives a seg fault.

Also, when I ran it on my old .jpilot directory (from FC3) it seems to ignore all my .pdb files and created a bunch of .pc3 files.  Or maybe it just couldn't read them for some reason.  I don't know.

Version-Release number of selected component (if applicable):
jpilot-0.99.8-0.pre8.4

How reproducible:
Always

Steps to Reproduce:
Just run jpilot (on any empty .jpilot directory or not) and try to add new records.

It makes this version of jpilot completely useless for FC4.

Additional info:

Comment 1 Ivana Varekova 2005-06-22 06:32:54 UTC
Please update your jpilot and pilot-link packages. There are new fc4 versions -
jpilot-0.99.8-0.pre9.fc4.1 and pilot-link-0.12.0-0.pre3.0.fc4.1. This should fix
your problem. 
Please write a comment whether is your problem fixed. 
Ivana Varekova

Comment 2 Need Real Name 2005-06-22 16:47:44 UTC
Okay, it seems that it is fixed now after I synced my pilot with an empty
.jpilot directory.  It wouldn't read my old .jpilot directory, however.

Comment 3 Ivana Varekova 2005-06-23 12:11:38 UTC
There was problem with pilot-link-0.12.0-0.pre2 sync. pilot-link-0.12.0-0.pre3 
should fix this problem (this version need new jpilot-0.99.8-0.pre9). 

Comment 5 Ivana Varekova 2005-07-01 06:49:20 UTC
pilot-link-0.12.0-0.pre3 and jpilot-0.99.8-0.pre9 fix problem.


Note You need to log in before you can comment on or make changes to this bug.